package come.stormborntales.notevault.data.local.entity

import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "notes")
data class NoteEntity(
    @PrimaryKey(autoGenerate = true) val id: Int = 0,
    var title: String,
    val images: List<String>, // oder String + TypeConverter
    var composer: String?,
    var year: Int?,
    var genre: String?,
    var description: String?,
    val imagePreview: String
)
