package come.stormborntales.notevault.data.local

import androidx.room.TypeConverter

class UriListConverter {
    @TypeConverter
    fun fromList(list: List<String>): String = list.joinToString(",")

    @TypeConverter
    fun toList(data: String): List<String> = if (data.isBlank()) emptyList() else data.split(",")
}
